Bug 1610941 (CVE-2018-14682) - CVE-2018-14682 libmspack: off-by-one error in the TOLOWER() macro for CHM decompression
Summary: CVE-2018-14682 libmspack: off-by-one error in the TOLOWER() macro for CHM dec...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14682
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1610942 1610943 1610944 1611553
Blocks: 1610945
TreeView+ depends on / blocked
 
Reported: 2018-08-01 16:33 UTC by Laura Pardo
Modified: 2019-09-29 14:46 UTC (History)
2 users (show)

Fixed In Version: libmspack 0.7alpha
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:34:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3327 None None None 2018-10-30 07:59:54 UTC

Description Laura Pardo 2018-08-01 16:33:41 UTC
An issue was discovered in mspack/chmd.c in libmspack before 0.7alpha. There is an off-by-one error in the TOLOWER() macro for CHM decompression.


References:
http://www.openwall.com/lists/oss-security/2018/07/26/1 	
https://bugs.debian.org/904800

Upstream Patch:
https://github.com/kyz/libmspack/commit/4fd9ccaa54e1aebde1e4b95fb0163b699fd7bcc8

Comment 1 Laura Pardo 2018-08-01 16:34:35 UTC
Created libmspack tracking bugs for this issue:

Affects: epel-all [bug 1610944]
Affects: fedora-all [bug 1610942]

Comment 3 Stefan Cornelius 2018-08-02 10:38:38 UTC
Statement:

This issue affects the versions of libmspack as shipped with Red Hat Enterprise Linux 7.

Comment 5 errata-xmlrpc 2018-10-30 07:59:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3327 https://access.redhat.com/errata/RHSA-2018:3327


Note You need to log in before you can comment on or make changes to this bug.